%undefine __cmake_in_source_build

Summary: Artwork, styles and assets for the Breeze visual style for the Plasma Desktop
Name:    plasma-breeze
Version: 5.27.9
Release: 1%{?dist}
License: GPLv2+
URL:     https://cgit.kde.org/breeze.git
Source0: http://download.kde.org/stable/plasma/%{version}/breeze-%{version}.tar.xz
BuildRequires:  gettext, libxcb-devel, fftw-devel
BuildRequires:  extra-cmake-modules, kf5-rpm-macros
BuildRequires:  kf5-kauth-devel, kf5-frameworkintegration-devel, kf5-kcmutils-devel, kf5-kcompletion-devel
BuildRequires:  kf5-kconfig-devel, kf5-kcoreaddons-devel, kf5-kguiaddons-devel, kf5-ki18n-devel
BuildRequires:  kf5-kirigami2-devel, kf5-kpackage-devel, kf5-kservice-devel, kf5-kwayland-devel
BuildRequires:  kf5-kwindowsystem-devel, kf5-plasma-devel, kdecoration-devel >= %{majmin_ver}
BuildRequires:  cmake(Qt5DBus), cmake(Qt5Quick), cmake(Qt5Widgets), cmake(Qt5X11Extras)
Requires:       %{name}-common = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%global __provides_exclude_from ^(%{_kf5_qtplugindir}/.*\\.so)$


%description
%{summary}.

%package        common
Summary:        Common files shared between KDE 4 and Plasma 5 versions of the Breeze style
BuildArch:      noarch

%description    common
%{summary}.

%package -n     breeze-cursor-theme
Summary:        Breeze cursor theme
BuildArch:      noarch
Provides:       breeze-cursor-themes = %{version}-%{release}

%description -n breeze-cursor-theme
%{summary}.


%prep
%autosetup -n breeze-%{version} -p1


%build
%cmake_kf5
%cmake_build


%install
%cmake_install

%find_lang breeze --all-name


%files
%license LICENSES/*.txt
%{_kf5_qtplugindir}/org.kde.kdecoration2/breezedecoration.so
%{_kf5_qtplugindir}/styles/breeze.so
%{_kf5_qtplugindir}/plasma/kcms/breeze/kcm_breezedecoration.so
%{_kf5_qtplugindir}/plasma/kcms/systemsettings_qwidgets/breezestyleconfig.so
%{_kf5_datadir}/kstyle/themes/breeze.themerc
%{_kf5_datadir}/kconf_update/breezehighcontrasttobreezedark.upd
%{_kf5_datadir}/kconf_update/breezetobreezeclassic.upd
%{_kf5_datadir}/kconf_update/breezetobreezelight.upd
%{_kf5_datadir}/applications/breezestyleconfig.desktop
%{_kf5_datadir}/applications/kcm_breezedecoration.desktop
%{_kf5_libdir}/kconf_update_bin/breezehighcontrasttobreezedark
%{_kf5_libdir}/kconf_update_bin/breezetobreezeclassic
%{_kf5_libdir}/kconf_update_bin/breezetobreezelight
%{_libdir}/libbreezecommon5.so.5*
%{_bindir}/breeze-settings5
%{_datadir}/icons/hicolor/*/apps/breeze-settings.*
%{_libdir}/cmake/Breeze/

%files common -f breeze.lang
%{_datadir}/color-schemes/*.colors
%dir %{_datadir}/QtCurve/
%{_datadir}/QtCurve/Breeze.qtcurve
%{_datadir}/wallpapers/Next/

%files -n breeze-cursor-theme
%doc cursors/Breeze/README
%dir %{_kf5_datadir}/icons/Breeze_Snow/
%{_kf5_datadir}/icons/Breeze_Snow/cursors/
%{_kf5_datadir}/icons/Breeze_Snow/index.theme
%dir %{_kf5_datadir}/icons/breeze_cursors/
%{_kf5_datadir}/icons/breeze_cursors/cursors/
%{_kf5_datadir}/icons/breeze_cursors/index.theme

%changelog
* Sat Nov 25 2023 Chair <chairou@tencent.com> - 5.27.9-1
- Init